#
# spec file for package python-Trolly
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-Trolly
Version:        0.2.2
Release:        4.19
Summary:        Trello api
License:        MIT
URL:            https://github.com/plish/Trolly
Source:         https://files.pythonhosted.org/packages/source/T/Trolly/Trolly-%{version}.zip
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module httplib2}
%endif
%python_subpackages

%description
A Python wrapper around the Trello API. Provides a group of
Python classes to represent Trello Objects. None of the classes
cache values as they are designed to be inherited and extended to
suit the needs of each user. Each class includes a basic set of
methods based on general use cases. This library was based on
work done by [sarumont](https://github.com/sarumont/py-trello).
Very little was kept from this code, but still props on the
initial work.

%prep
%setup -q -n Trolly-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
# Completely hopeless, tests are run over the trello.com, so they
# require network connection. Even upstream doesn't consider
# them correct. gh#its-rigs/Trolly#46
%endif

%files %{python_files}
%{python_sitelib}/*

%changelog
* Thu Aug 20 2020 Matej Cepl <mcepl@suse.com>
- Just give up on the test suite as a bad job.
* Wed Aug 19 2020 Matej Cepl <mcepl@suse.com>
- Work with completely failing test suite
  (gh#its-rigs/Trolly#46).
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Thu Dec  6 2018 mcepl@suse.com
- Fix tests and remove unnecessary BR for nose.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug 31 2017 toddrme2178@gmail.com
- update to version 0.2.2
  * No upstream changelog
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.2.1:
  * Trolly has recently been updated to start the deprecation of
    non-pythonic conventions and improve PEP8 compliance. All the
    old pascal cased methods are now deprecated, they have been
    left in and point to the new method names. There are no
    breaking changes in this release but it is recommended you
    change your code to use the pythonic naming conventions.
- get the zip archive from pypi (tar.gz not available)
- add unzip as BuildRequires
- remove LICENCE.txt README.md: not provided anymore
* Tue Jun 25 2013 speilicke@suse.com
- Update to version 0.1.1:
  + setup.py now requires httplib2
* Wed Apr 10 2013 speilicke@suse.com
- Initial version
